ros-rolling-yasmin-ros (3.5.1-1noble) noble; urgency=high

  * renaming ROSCommunicationsCache to ROSClientsCache
  * creating C++ tests
  * fixing python tests to run using colcon
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Thu, 23 Oct 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.5.0-1noble) noble; urgency=high

  * ros communications cache created
  * fixing timeout in C++ MonitorState
  * fixing C++ demos
  * fixing c++ timeout waits
  * fixing timeout in ros2 states
  * fixing Python comments
  * fixing timeout params names
  * fixing format
  * Add More basic outcome: retry, add publisher into states, and set waiting-response timeout in service state. (#67 <https://github.com/uleroboticsgroup/yasmin/issues/67>)
    * Add SkippableState for python-lib
    * Add basic outcome for Skippable State
    * Init Skippable State
    * State service server
    * add publisher to service state node
    * add publisher to service state node
    * add publisher to monitoring state
    * edit bug
    * fix upper case
    * add _srv_callback template
    * fix skipable state multi srv type
    * fix bug
    * fix bug wrong line
    * edit service and skippable state
    * add cancel features in yasmin-ros
    * add publisher to skip state
    * add publisher to all states
    * edit monitoring node
    * merege upstream/main
    * remove test installation + yasmin dep in yasmin-ros.xml
    * edit bug in skippable state
    * add abort in monitor_state
    * debug timeout in service server
    * add abort handler
    * edit service server
    * edit server state
    * comment cpp builder
    * update yasmin ros cpp lib
    * solve bug
    * (feat): add retries and action timeout in yasmin ros
    * update c++ code style, remove publisher in monitor state (python), and apply retry mechanism to python version
    * fix bug in ServiceState timeout, and add retry mechanism in pytest
    ---------
    Co-authored-by: PannapatC <mailto:PannapatC@arv.co.th>
    Co-authored-by: Pakapak <mailto:PakapakS@arv.co.th>
    Co-authored-by: Aminballoon <mailto:44831071+aminballoon@users.noreply.github.com>
    Co-authored-by: Miguel Ángel González Santamarta <mailto:mgons@unileon.es>
  * fixing yasmin::State::cancel_state() order
  * fixing cancel_state order
  * Contributors: Miguel Ángel González Santamarta, Pakapak Silpapinun

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sun, 12 Oct 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.4.0-1noble) noble; urgency=high

  * fixing int64_t in get paramters state for foxy/galactic
  * fixing get values of C++get parameters state
  * parameters state added
  * adding publisher demo to README
  * adding missing cond.clear to monitor state
  * improving monitor state by replacing sleeps with events and conds
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Mon, 25 Aug 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.3.0-1noble) noble; urgency=high

  * destroying subscriber in monitor state
  * python version of publisher state
  * initial version of a publisher state
  * fixing yasmin logs and using them in ros versions
  * checking rclcpp/version.h for older versions
  * removing FOXY env and fixing service qos for kilted and greater
  * adding callbackgroup to ros2 states
  * fixing msg_queue in monitor state
  * Kilted support (#56 <https://github.com/uleroboticsgroup/yasmin/issues/56>)
    * Kilted support
    * Keep only the single Foxy exception
    * fixup! Keep only the single Foxy exception
  * Add FAIL to basic outcomes (#57 <https://github.com/uleroboticsgroup/yasmin/issues/57>)
    * Add FAIL to basic outcomes
    * add fail outcome to C
    * fixed for formatter checks
  * adding kilted flag to cmakelists
  * Fix deprecation of ament_target_dependencies
  * Contributors: Gabriel Dorneles, Miguel Ángel González Santamarta, Tim Clephas

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sat, 28 Jun 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.2.0-1noble) noble; urgency=high

  * fixing c++ version in CMakeLists
  * Preempt monitor state on cancel request (#46 <https://github.com/uleroboticsgroup/yasmin/issues/46>)
    * Preempt monitor state on cancel request
    * Add canceled outcome to monitor_state and monitor_demo
    * Implement monitor_state cancel check in Python
  * Contributors: Miguel Ángel González Santamarta, Paul Verhoeckx

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Fri, 11 Apr 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.1.0-1noble) noble; urgency=high

  * new yasmin logs
  * improving ros_logs
  * set_ros_loggers allows setting node to log
  * fixing format
  * fixing license comments
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Wed, 05 Feb 2025 00:00:00 -0000

ros-rolling-yasmin-ros (3.0.3-1noble) noble; urgency=high

  * hpp ifndef guards fixed
  * fixing run_pytests install in CMakeLists.txt
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Tue, 17 Dec 2024 00:00:00 -0000

ros-rolling-yasmin-ros (3.0.2-1noble) noble; urgency=high

  * build_depend for ros_environment
  * adding ros-environment dependency
  * fixing dependencies in package.xml files
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Mon, 16 Dec 2024 00:00:00 -0000

ros-rolling-yasmin-ros (3.0.1-1noble) noble; urgency=high



 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sun, 01 Dec 2024 00:00:00 -0000

ros-rolling-yasmin-ros (3.0.0-1noble) noble; urgency=high

  * fixing CMakeLists format
  * ROS 2 fixed in CMakeLists
  * unittest2 removed from packages
  * python-unittest2 and python3-pytest-cov added
  * strict_mode added to validation
  * fixing C++ comments
  * fixing C++ comments
  * setting black formatter line length to 90
  * comments for Python attributes moved to __init__
  * fixing documentation
  * improving Python comments for Doxygen
  * comments added to C++ files for Doxygen
  * galactic support added to cmakelists
  * state machine str only state labels and type
  * converting outcomes from list to set
  * short logs (by short file) and short UUID for yasmin_node
  * replacing generic python exceptions
  * file, function and line added to yasmin logs
  * new ros logs for YASMIN_LOG
  * set_loggers to change yasmin logs
  * black formatter applied to python files
  * action state cancel fixed
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sun, 24 Nov 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.4.2-1noble) noble; urgency=high

  * minor style fixes
  * Merge pull request #23 <https://github.com/uleroboticsgroup/yasmin/issues/23> from CihatAltiparmak/fix/convert_to_ros_node_shared_ptr
    Converted rclcpp::Node& to rclcpp::Node::SharedPtr
  * Converted some node parameters to const ref
  * Converted rlccpp::Node& to rclcpp::Node::SharedPtr
  * Contributors: CihatAltiparmak

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.4.1-1noble) noble; urgency=high



 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Fri, 09 Aug 2024 15:27:00 -0000

ros-rolling-yasmin-ros (2.4.0-1noble) noble; urgency=high



 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Fri, 09 Aug 2024 13:22:00 -0000

ros-rolling-yasmin-ros (2.3.1-1noble) noble; urgency=high

  * package version added
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Mon, 22 Jul 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.3.0-1noble) noble; urgency=high

  * new feedback_handler for python ActionState
  * ActionState log fixed
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sat, 13 Jul 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.2.0-1noble) noble; urgency=high

  * feedback handler added to action state
  * lock/mutex added to blackboard
  * logs for monitor state
  * action and service logs
  * c++ service logs fixed
  * ros2 logs for services
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sun, 30 Jun 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.1.1-1noble) noble; urgency=high

  * wait_for_service timeout added to C++
  * Merge pull request #21 <https://github.com/uleroboticsgroup/yasmin/issues/21> from santiregui/add_timeout_srv
    Added TIMEOUT in service_state
  * Added TIMEOUT outcome and use it in the service_state for timeout interruption
  * Contributors: Miguel Ángel González Santamarta, Santiago Iregui

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sat, 08 Jun 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.1.0-1noble) noble; urgency=high

  * jazzy distro fixed
  * foxy fixed
  * multi ros2 distro added to yasmin_ros
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Wed, 05 Jun 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.0.2-1noble) noble; urgency=high

  * Merge pull request #17 <https://github.com/uleroboticsgroup/yasmin/issues/17> from mattwilliamson/template-fix
    Fixing build error for Mac M1 / Apple clang version 14.0.3
  * Fixing build error
  * Contributors: Matt Williamson, Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Sun, 05 May 2024 00:00:00 -0000

ros-rolling-yasmin-ros (2.0.1-1noble) noble; urgency=high



 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Tue, 16 Apr 2024 13:57:56 +0000

ros-rolling-yasmin-ros (2.0.0-1noble) noble; urgency=high

  * Merge pull request #15 <https://github.com/uleroboticsgroup/yasmin/issues/15> from uleroboticsgroup/no_simple_node
    No simple node
  * yasmin node singleton fixed
  * yasmin_node dependencies fixed
  * no simple_node C++ version
  * python free of simple_node
  * minor formating fixes
  * Contributors: Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Tue, 16 Apr 2024 13:57:56 +0000

ros-rolling-yasmin-ros (1.0.0-1noble) noble; urgency=high

  * ActionState typo fixed
  * new monitor state
  * typing fixes
  * Merge pull request #7 <https://github.com/uleroboticsgroup/yasmin/issues/7> from jkaniuka/fix/monitor_state_transitions
    Handling of undeclared transitions
  * Handling of undeclared transitions
  * action state fixed
  * service_state fixed
  * blackboard included in yasmin __init__
  * license added to files
  * simple_node updated
  * boost removed
  * fixed monitor msg variable name in blackboard
  * monitor state created
  * run_pytests fixed
    Former-commit-id: 1bc212e87b3993db78b84ab5872bb54c95462aab
  * result callback fixed
    Former-commit-id: ef6daf09abd60e2b2331d6b2293fab97880dcc9a
  * tests fixed
    Former-commit-id: a7360738b44ef1c29f9f1253dcc6badd14fe200b
  * yasmin_ros tests created
    Former-commit-id: 2103ec64ea1dd1d2cdcb3a3158bb5ad0220f267c
  * yasmin tests
    Former-commit-id: f069c2a613c0dfbc08f950cb9f095b5a6473cc50
  * ament_export_dependencies(${DEPENDENCIES}) added
    Former-commit-id: e003ff4860318beb62066e98e48e339c3995f6af
  * C++ version created
    Former-commit-id: 9d02daf711aaaf25d36b0b58284c2e9dc5f053e0
  * typing fix
    Former-commit-id: 220570ad37526ae3e5c560f78ce4a2780309dd84
  * ' replaced by "
    Former-commit-id: 63c642bbfc6975a63c4e742c3573d8db901e40ac
  * custom_ros2 replaced by simple_node
    Former-commit-id: a33b916642d822f9990e3115f404e12f8033382e
  * 1 version of yasmin
    Former-commit-id: a17c6a35baaa77099292a87ed2dd65587fe4e01b
  * Contributors: Jan Kaniuka, Miguel Ángel González Santamarta

 -- Miguel Ángel González Santamarta <mgons@unileon.es>  Wed, 06 Dec 2023 00:00:00 -0000


